Subject: Re: WG Review: Stay Home Meet Only Online (shmoo)

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Jul 2020 12:23:45 +0200

Hi,

On this point:

> One of reasons for not to tackling a topic is if there isn't any expertise in the IETF to work on that.  It is the responsibility of the Internet Architecture Board (IAB) to provide advice on that and it is up to the Internet Engineering Steering Group (IESG) to give its approval for the work to proceed.  The latest IAB minutes, which are dated May 27, does not show any review of the proposed charter.  Will the IAB review the proposed charter before it is approved by the IESG?

IAB members can review proposed charters during community review process but there is no formal step for the IAB to review all proposed charters. I'm not sure why you may think this is especially needed in this case given meeting planning lies in responsibility of the IESG (or LCC with respect to financial and contractual aspects)…?

Mirja

> On 27. Jun 2020, at 14:30, S Moonesamy <[email-masked]> wrote:
> 
> Dear Internet Engineering Steering Group,
> At 09:20 AM 26-06-2020, The IESG wrote:
>> A new IETF WG has been proposed in the General Area. The IESG has not made
>> any determination yet. The following draft charter was submitted, and is
>> provided for informational purposes only. Please send your comments to the
> 
> I would like to thank Mr Kaduk for taking the time to respond to my comment [1] about the proposed charter.
> 
> I read an extract of a book about "shmoo" after seeing a comment [2] about it.  The cultural reference to class issues is quite interesting for an organization which advertizes itself as a "large open international community".  The proposed charter was discussed on a mailing list which is described as: "a design team list to identify issues that would arise should an IETF meeting ever be held with O(1000) 'remote' participants".     Was there any public report from the design team?
> 
> It is unfortunate that the "design team" has decided not to consider the potential impact of maintaining two classes of "participants".  The disregard for the topic is a good indicator of whether words such as "inclusiveness" can be taken seriously.
> 
> One of reasons for not to tackling a topic is if there isn't any expertise in the IETF to work on that.  It is the responsibility of the Internet Architecture Board (IAB) to provide advice on that and it is up to the Internet Engineering Steering Group (IESG) to give its approval for the work to proceed.  The latest IAB minutes, which are dated May 27, does not show any review of the proposed charter.  Will the IAB review the proposed charter before it is approved by the IESG?
> 
> The proposed charter has "TBD" under "milestones".  That is not compliant with the contract which the proposed working group is seeking.
> 
> Will the "high-level principles" be about hopes or ambitions to achieve something?
> 
> The "experience of handling meeting planning" is something internal to the IESG.  Is that documented anywhere?  Is that even relevant given that the proposed group was not involved in meeting planning?
> 
> Why is the proposed group proposing to work on "functional requirements"?  Isn't that the work of the IETF Administration LLC?
> 
> Some parts of the proposed charter such as "cadence of meeting scheduling ..." sounds like MTGVENUE-bis as that (concluded) group previously worked on that.  The group was closed in March.  Does that mean that the previous work caused some issues which was only noticed three months after the MTGVENUE working group was closed?
> 
> Does the cadence of meeting scheduling affect NomCom eligibility?  Did meeting planning have an impact on NomCom eligibility?
> 
> Regards,
> S. Moonesamy
> 
> 1. https://mailarchive.ietf.org/arch/msg/manycouches/-KT9e9MkDgDpHS57La9f5IxMSNI/
> 2. https://mailarchive.ietf.org/arch/msg/manycouches/uQdAjhubeYVoIOP_CWd4O_xSYkQ/ 
>

---

From: S Moonesamy <[email-masked]>
Date: Wed, 08 Jul 2020 04:27:25 -0700

Hi Mirja,
>On this point:

[snip]

>IAB members can review proposed charters during 
>community review process but there is no formal 
>step for the IAB to review all proposed 
>charters. I'm not sure why you may think this is 
>especially needed in this case given meeting 
>planning lies in responsibility of the IESG (or 
>LCC with respect to financial and contractual aspects)…?

The theory is that IAB advises the IESG on the 
chartering of new working groups.  I don't know 
how it works in practice as I did enquired about 
it until a week or so ago.  The point of the 
question was to ascertain that the IAB is aware of the proposed charter.

Regards,
S. Moonesamy

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Jul 2020 15:52:31 +0200

Hi,

The point where the IAB is more directly involved in reviewing of new work is the BoF coordination call as well as acting as BoF shepherds and by providing BoF reports. I believe most members of the IAB are actively monitoring new chartering work. At least I can definitely confirm that I and our IESG liaison are aware of all charter discussions. 

Mirja

> On 8. Jul 2020, at 13:27, S Moonesamy <[email-masked]> wrote:
> 
> Hi Mirja,
>> IAB members can review proposed charters during community review process but there is no formal step for the IAB to review all proposed charters. I'm not sure why you may think this is especially needed in this case given meeting planning lies in responsibility of the IESG (or LCC with respect to financial and contractual aspects)
> ?
> 
> The theory is that IAB advises the IESG on the chartering of new working groups.  I don't know how it works in practice as I did enquired about it until a week or so ago.  The point of the question was to ascertain that the IAB is aware of the proposed charter.
> 
> Regards,
> S. Moonesamy 
>

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 8 Jul 2020 09:11:54 -0500

Just to echo Mirja,

On Wed, Jul 8, 2020 at 8:54 AM Mirja Kuehlewind <[email-masked]> wrote:

> Hi,
>
> The point where the IAB is more directly involved in reviewing of new work
> is the BoF coordination call as well as acting as BoF shepherds and by
> providing BoF reports. I believe most members of the IAB are actively
> monitoring new chartering work. At least I can definitely confirm that I
> and our IESG liaison are aware of all charter discussions.
>
> Mirja
>

The last time the IAB wrote this down, was at
https://www.iab.org/documents/correspondence-reports-documents/2012-2/iab-member-roles-in-evaluating-new-work-proposals/.
That was still the process when I left the IESG in 2019.

When Alia Atlas and I did the tutorial on "bringing new work to the IETF"
at IETF 103/Bangkok, we said on slide 26 that the IAB's role in evaluating
new work proposals was the best-kept secret at the IETF ;-)
https://datatracker.ietf.org/meeting/103/materials/slides-103-edu-sessl-bringing-new-work-to-the-ietf-00

Best,

Spencer

---

From: Ted Hardie <[email-masked]>
Date: Wed, 8 Jul 2020 08:21:03 -0700

Hi Mirja

On Wed, Jul 8, 2020 at 3:24 AM Mirja Kuehlewind <[email-masked]> wrote:

> Hi,
>
> On this point:
>
> > One of reasons for not to tackling a topic is if there isn't any
> expertise in the IETF to work on that.  It is the responsibility of the
> Internet Architecture Board (IAB) to provide advice on that and it is up to
> the Internet Engineering Steering Group (IESG) to give its approval for the
> work to proceed.  The latest IAB minutes, which are dated May 27, does not
> show any review of the proposed charter.  Will the IAB review the proposed
> charter before it is approved by the IESG?
>
> IAB members can review proposed charters during community review process
> but there is no formal step for the IAB to review all proposed charters.

There is a difference between IAB review and community review, as the IAB
review takes place during the "internal review" phase, rather than the
"external review" phase, at least according to this process:

As of the time of writing, all proposed working group charters are sent to
the IAB (“sent for Internal Review”) before being sent to the broader
community (“sent for External Review”). When a proposed charter is sent for
External Review, it goes via the IETF-Announce mailing list to the entire
IETF community and via the New-Work mailing list to a number of other SDOs
that have liaison relationships with IETF, so External Review is very
public.

 (from
https://www.iab.org/documents/correspondence-reports-documents/2012-2/iab-member-roles-in-evaluating-new-work-proposals/
).

While that may not be a "formal step", it's probably worth keeping in mind,
as some elements of a proposal may change during internal review.

regards,

Ted Hardie

I'm not sure why you may think this is especially needed in this case given
> meeting planning lies in responsibility of the IESG (or LCC with respect to
> financial and contractual aspects)…?
>
> Mirja
>
>
>
> > I read an extract of a book about "shmoo" after seeing a comment [2]
> about it.  The cultural reference to class issues is quite interesting for
> an organization which advertizes itself as a "large open international
> community".  The proposed charter was discussed on a mailing list which is
> described as: "a design team list to identify issues that would arise
> should an IETF meeting ever be held with O(1000) 'remote' participants".
>  Was there any public report from the design team?
> >
> > It is unfortunate that the "design team" has decided not to consider the
> potential impact of maintaining two classes of "participants".  The
> disregard for the topic is a good indicator of whether words such as
> "inclusiveness" can be taken seriously.
> >
> > One of reasons for not to tackling a topic is if there isn't any
> expertise in the IETF to work on that.  It is the responsibility of the
> Internet Architecture Board (IAB) to provide advice on that and it is up to
> the Internet Engineering Steering Group (IESG) to give its approval for the
> work to proceed.  The latest IAB minutes, which are dated May 27, does not
> show any review of the proposed charter.  Will the IAB review the proposed
> charter before it is approved by the IESG?
> >
> > The proposed charter has "TBD" under "milestones".  That is not
> compliant with the contract which the proposed working group is seeking.
> >
> > The "experience of handling meeting planning" is something internal to
> the IESG.  Is that documented anywhere?  Is that even relevant given that
> the proposed group was not involved in meeting planning?
> >
> > Why is the proposed group proposing to work on "functional
> requirements"?  Isn't that the work of the IETF Administration LLC?
> >
> > Some parts of the proposed charter such as "cadence of meeting
> scheduling ..." sounds like MTGVENUE-bis as that (concluded) group
> previously worked on that.  The group was closed in March.  Does that mean
> that the previous work caused some issues which was only noticed three
> months after the MTGVENUE working group was closed?
> >
> > Does the cadence of meeting scheduling affect NomCom eligibility?  Did
> meeting planning have an impact on NomCom eligibility?
> >
> > Regards,
> > S. Moonesamy
> >
> > 1.
> https://mailarchive.ietf.org/arch/msg/manycouches/-KT9e9MkDgDpHS57La9f5IxMSNI/
> > 2.
> https://mailarchive.ietf.org/arch/msg/manycouches/uQdAjhubeYVoIOP_CWd4O_xSYkQ/
> >
>
>

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 8 Jul 2020 17:29:29 +0200

Hi Ted, hi all,

Yes, that is very true. Charters are sent to the IAB in the internal review phase and member can comment then already as well. What I meant is that there is no formal step that “requires” feedback from the IAB (like a ballot position in the datatracker or something). 

Mirja

> On 8. Jul 2020, at 17:21, Ted Hardie <[email-masked]> wrote:
> 
> Hi Mirja
> 
> IAB members can review proposed charters during community review process but there is no formal step for the IAB to review all proposed charters.
> 
> There is a difference between IAB review and community review, as the IAB review takes place during the "internal review" phase, rather than the "external review" phase, at least according to this process:
> 
> As of the time of writing, all proposed working group charters are sent to the IAB (“sent for Internal Review”) before being sent to the broader community (“sent for External Review”). When a proposed charter is sent for External Review, it goes via the IETF-Announce mailing list to the entire IETF community and via the New-Work mailing list to a number of other SDOs that have liaison relationships with IETF, so External Review is very public.
> 
>  (from https://www.iab.org/documents/correspondence-reports-documents/2012-2/iab-member-roles-in-evaluating-new-work-proposals/).
> 
> While that may not be a "formal step", it's probably worth keeping in mind, as some elements of a proposal may change during internal review.
> 
> regards,
> 
> Ted Hardie
> 
> I'm not sure why you may think this is especially needed in this case given meeting planning lies in responsibility of the IESG (or LCC with respect to financial and contractual aspects)…?
> 
> Mirja
> 
> 
>

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 9 Jul 2020 10:45:49 -0400

Hi SM,

> On Jun 27, 2020, at 8:30 AM, S Moonesamy <[email-masked]> wrote:
> 

See https://tools.ietf.org/html/draft-manycouches-completely-virtual-meetings-04

> Will the "high-level principles" be about hopes or ambitions to achieve something?

I don’t understand this question.

> 
> The "experience of handling meeting planning" is something internal to the IESG.  Is that documented anywhere?  

The IESG has shared emails on the IETF list at various points during the meeting planning process for IETF 108.

> Is that even relevant given that the proposed group was not involved in meeting planning?

I don’t see how a group that didn’t exist could have been involved in anything when it didn’t exist.

> Why is the proposed group proposing to work on "functional requirements"?  Isn't that the work of the IETF Administration LLC?

The LLC is seeking guidance from the community.

> Some parts of the proposed charter such as "cadence of meeting scheduling ..." sounds like MTGVENUE-bis as that (concluded) group previously worked on that.  The group was closed in March.  Does th…

No, the closure of MTGVENUE was done knowing that a new group with a different remit might need to be formed.

> 
> Does the cadence of meeting scheduling affect NomCom eligibility?  

Yes.

> Did meeting planning have an impact on NomCom eligibility?

Yes, see https://www.rfc-editor.org/rfc/rfc8788.html <https://www.rfc-editor.org/rfc/rfc8788.html>.

Alissa

---

From: S Moonesamy <[email-masked]>
Date: Thu, 09 Jul 2020 14:54:51 -0700

Hi Alissa,

Thanks for the response.  I'll comment inline.

At 07:45 AM 09-07-2020, Alissa Cooper wrote:

>I don't understand this question.

First, I'll quote an extract from RFC 8719 as it may help to explain 
what I am asking about:

   "Implementation of the Policy

    IASA should understand the policy written in this document to be the
    aspiration of the IETF community."

The word "aspiration" can be interpreted as being about hopes or 
ambitions.  Based on my experience from another organization which is 
not related to the IETF, policies are not intended to be 
aspirations.  The rationale for that is because a policy is there to 
guide decision-making instead of leaving it to the whims of the 
person(s) authorized to take the decision.

>different remit might need to be formed.

Ok.

>Yes, see 
><https://www.rfc-editor.org/rfc/rfc8788.html>https://www.rfc-editor.org/rfc/rfc8788.html.

Before the pandemic, there were two categories of IETF community:

    (i)  people who are charged an attendance fee to attend IETF meetings
         in person.

    (ii) people who are not charged an attendance fee to attend IETF meetings
         remotely.

Since the pandemic, the IETF has been unable to hold IETF meetings in 
person and it switched to a fully only meeting [1].  People in 
categories (i) and (ii) are charged an attendance fee.  However, the 
people in category (ii) are not being offered the same treatment as 
the people in category (i).  In the country [2] where I reside, the 
exclusion of people in category (ii) eligibility would be considered 
as discrimination.

Regards,
S. Moonesamy

1. 
https://mailarchive.ietf.org/arch/msg/ietf-announce/BPNyTxka355XbY03VSBtjl5y_So/
2. It could be different in other countries.

---

From: Barry Leiba <[email-masked]>
Date: Fri, 10 Jul 2020 09:14:10 -0400

Hi, SM.

> person(s) authorized to take the decision.

That wording was to be clear that 1-1-1-* is what the IETF community
wants to happen, but to allow IASA flexibility in implementing it,
given the realities of meeting venue selection and scheduling.  We did
not want someone to get the mistaken idea that if we were unable to
secure, say, an Asian venue in one particular year, the policy was
being violated, while making it clear that IASA needs to do its
collective best to maintain the long-term balance as set out in
Section 2.

> the people in category (i).

Indeed, and that absolutely needs to be dealt with.  In fact, I,
personally, think it's one of the most important things we, as an
organization, have to deal with, and I hope we can move forward *now*
with what's been discussed on the eligibility list.  Maybe
draft-carpenter-eligibility-expand is the right start for that, but we
MUST correct the situation wherein some of our active, valuable
participants do not have the same status simply because they don't
come to in-person meetings.

That said, I'm OK with separating that task from the tasks defined for SHMOO.

Barry

---

From: S Moonesamy <[email-masked]>
Date: Fri, 10 Jul 2020 10:56:50 -0700

Hi Barry,
>collective best to maintain the long-term balance as set out in

The policy is currently not working.  It would be reasonable, in my 
opinion, for me to go and argue with the IETF Administration LLC 
about that as I am aware that there is a pandemic.

>That said, I'm OK with separating that task from the tasks defined for SHMOO.

I just saw the message at 
https://mailarchive.ietf.org/arch/msg/ietf-announce/O9r8TOGOY5KMawJMFw9e6YdXqdM/ 
I raised an issue about the milestones with the IESG.  That is a 
requirement, as specified in Section 2.2 of RFC 2418.  In my opinion, 
the action taken by the Internet Engineering Steering Group (IESG) is 
not compliant with RFC 2418 (BCP 25).  It is very unfortunate that 
the action was taken while the proposed charter was being discussed.

I don't think that it is appropriate for me to impose my views on you 
or any other IESG member.  if the IESG, as a whole, is not persuaded 
by what I wrote previously, I doubt that there anything except for an 
appeal could change that.  May I ask for 48 hours to take a decision 
about that?

Regards,
S. Moonesamy

---

From: Barry Leiba <[email-masked]>
Date: Fri, 10 Jul 2020 14:34:51 -0400

> the action was taken while the proposed charter was being discussed.

The issue, as I understand it, is that the working group was formally
chartered before any milestones were specified.  Is that correct?

> I doubt that there anything except for an

RFC 2026 (BCP 9), Section 6.5.4:
   All appeals must be initiated within two months of the public
   knowledge of the action or decision to be challenged.

Barry

---

From: S Moonesamy <[email-masked]>
Date: Fri, 10 Jul 2020 11:49:38 -0700

Hi Barry,

Yes.

>    knowledge of the action or decision to be challenged.

Thanks for the pointer.  There is also Section 6.5.2 of RFC 2026 which states:

   "If an individual should disagree with an action taken by the IESG in
    this process, that person should first discuss the issue with the
    ISEG Chair. If the IESG Chair is unable to satisfy the complainant
    then the IESG as a whole should re-examine the action taken, along
    with input from the complainant, and determine whether any further
    action is needed.  The IESG shall issue a report on its review of the
    complaint to the IETF."

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Sun, 12 Jul 2020 12:08:58 -0700

On 26 June, the Internet Engineering Steering Group (IESG) sent an 
email about a draft charter.  The email requested comments about the 
draft charter to be sent by 6 July.  I sent some comments on 27 June 
to the IESG.  I received an email from the Ms Cooper on 9 July.  I 
also had an email exchange with Mr Leiba on 10 July in which he and I 
discussed some points related to draft charter.  One of the points 
was about a "process violation".  I was surprised to see an 
announcement from the IESG about the new working group being formed 
while the matter was still under discussion.

RFC 2026 (BCP 9) states that "If an individual should disagree with 
an action taken by the IESG in this process, that person should first 
discuss the issue with the IESG Chair".  Given that I disagree with 
the above-mentioned action of the IESG, would it be possible to first 
discuss the issue?

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Mon, 13 Jul 2020 15:08:34 -0700

Hi Alissa,

I have a few questions:

   1. Who proposed the draft charter?

   2. Who approved the draft charter?

   3. Why was the draft charter approved while there was an ongoing
      discussion with the IESG about it?

   4. Are the milestones listed at 
https://mailarchive.ietf.org/arch/msg/manycouches/UB3zrC22s1B89PEwAOM-Y488TRs/
      compliant with RFC 2418?

Regards,
S. Moonesamy

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 14 Jul 2020 09:22:15 -0400

Hi SM,

> On Jul 13, 2020, at 6:08 PM, S Moonesamy <[email-masked]> wrote:
> 
> Hi Alissa,
> 
> I have a few questions:
> 

Suresh Krishnan, Russ Housley, and myself. See <https://mailarchive.ietf.org/arch/msg/manycouches/Qls9UHKkG4kE9KKK4WQ-KBc0oLg/>.

>  2. Who approved the draft charter?

The IESG.

>     discussion with the IESG about it?

There didn’t seem to be any outstanding requests for changes to the charter text that would prevent its approval.

> 
>  4. Are the milestones listed at https://mailarchive.ietf.org/arch/msg/manycouches/UB3zrC22s1B89PEwAOM-Y488TRs/
>     compliant with RFC 2418?

Yes.

Alissa

---

From: S Moonesamy <[email-masked]>
Date: Tue, 14 Jul 2020 15:04:08 -0700

Hi Alissa,
At 06:22 AM 14-07-2020, Alissa Cooper wrote:
>Suresh Krishnan, Russ Housley, and myself. See 
><https://mailarchive.ietf.org/arch/msg/manycouches/Qls9UHKkG4kE9KKK4WQ-KBc0oLg/>.
>
> >

I find it awkward to broach the following subject as you are an Area 
Director.  You may have noticed that I have zero support.

A person cannot be both judge and jury.  Within an IETF context, a 
person cannot be both the author and reviewer of a document; an Area 
Director cannot sponsor his/her own draft.  The reason is that it 
would create a conflict of interest.  In my opinion, writing the 
draft charter and approving it creates a potential conflict of interest.

>There didn't seem to be any outstanding requests for changes to the 
>charter text that would prevent its approval.

The definition of a charter is that it is a contract between a 
working group and the IETF to perform a set of tasks.  The milestones 
are part of the charter text.

> https://mailarchive.ietf.org/arch/msg/manycouches/UB3zrC22s1B89PEwAOM-Y488TRs/

I read RFC 2418 again.  It states that the basis for forming a 
working group is when the prospective Chair(s) and Area Director are 
satisfied with the charter form and content.  The RFC also states 
that milestones shall consist of deliverables that can be qualified 
as showing specific achievement.  A deliverable is a result.  In this 
case, it would be the result(s) produced by the working group, e.g. 
send draft to IESG by December 2020.  In my opinion, the milestones 
and the draft charter are not compliant with RFC 2418.

It does not make sense to go ahead with the working group approval 
while the draft charter for that working group is under (formal) 
dispute.  It is as if the decision is/will be valid even though there 
is a dispute about that decision.

Regards,
S. Moonesamy

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 14 Jul 2020 15:57:30 -0700

On Tue, Jul 14, 2020 at 3:52 PM S Moonesamy <[email-masked]> wrote:

> ><
> https://mailarchive.ietf.org/arch/msg/manycouches/Qls9UHKkG4kE9KKK4WQ-KBc0oLg/
> >.
> >
> > >

Ignoring the rest of your message, this simply does not comport with either
existing practice or 2418, which explicitly states:

  The formation of a working group requires a charter which is
   primarily negotiated between a prospective working group Chair and
   the relevant Area Director(s), although final approval is made by the
   IESG with advice from the Internet Architecture Board (IAB).

While you may wish that the IETF process didn't allow the AD to write
the charter, the plain text here says otherwise.

-Ekr

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 14 Jul 2020 20:53:32 -0400

Hi SM,

> On Jul 14, 2020, at 6:04 PM, S Moonesamy <[email-masked]> wrote:
> 
> Hi Alissa,
> I find it awkward to broach the following subject as you are an Area Director.  You may have noticed that I have zero support.

Maybe the better path at this point would be for you to appeal whichever actions I took that you find objectionable, that way I can recuse from the process and the rest of the IESG can handle it. Typically if people email me directly I assume they expect me to respond, but if I’m recused that will take me out of the loop.

> 
> A person cannot be both judge and jury.  Within an IETF context, a person cannot be both the author and reviewer of a document; an Area Director cannot sponsor his/her own draft.  The reason is that it would create a conflict of interest.  In my opinion, writing the draft charter and approving it creates a potential conflict of interest.
> 
>> There didn't seem to be any outstanding requests for changes to the charter text that would prevent its approval.
> 
> The definition of a charter is that it is a contract between a working group and the IETF to perform a set of tasks.  The milestones are part of the charter text.

I apologized for forgetting them. I forget things sometimes. I’m not sure what else I can do besides apologize again for being forgetful.

> I read RFC 2418 again.  It states that the basis for forming a working group is when the prospective Chair(s) and Area Director are satisfied with the charter form and content.  The RFC also states that milestones shall consist of deliverables that can be qualified as showing specific achievement.  A deliverable is a result.  In this case, it would be the result(s) produced by the working group, e.g. send draft to IESG by December 2020.  In my opinion, the milestones and the draft charter are not compliant with RFC 2418.

Ok. I think the chairs and I were just following typical practice. Lots of the WGs chartered in the last year don’t meet the criteria you specify above:

https://datatracker.ietf.org/wg/webtrans/about/
https://datatracker.ietf.org/wg/wpack/about/
https://datatracker.ietf.org/wg/drip/about/
https://datatracker.ietf.org/wg/mops/about/
https://datatracker.ietf.org/wg/gnap/about/
https://datatracker.ietf.org/wg/lake/about/

Cheers,
Alissa

> 
> It does not make sense to go ahead with the working group approval while the draft charter for that working group is under (formal) dispute.  It is as if the decision is/will be valid even though there is a dispute about that decision.
> 
> Regards,
> S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Thu, 16 Jul 2020 03:11:02 -0700

Dear Mr Rescorla,
At 03:57 PM 14-07-2020, Eric Rescorla wrote:
>While you may wish that the IETF process didn't allow the AD to 
>write the charter, the plain text here says otherwise.

My comment was not about what I wish.  It was about one of the 
documents referenced by the "Note Well".  I looked up the word 
"comport" in Merriam-Webster to understand it: "to be in agreement on 
every point".  The meaning of "negotiated" is: "to bring about 
through discussion and compromise".  If I go by what is written, it 
would mean that the advice from the Internet Architecture Board is 
not optional.  There were some messages about that on the thread.

I don't see anything in the text which you quoted which forbids the 
relevant Area Director from writing the draft charter.  It was 
difficult to find the response to the last "appeal" as it is not 
published on the IETF web site.  This is part of a sentence from that 
response: "a named contributor handling the WG process can be 
perceived as a potential conflict of interest".

I did a quick search for other cases: 
https://mailarchive.ietf.org/arch/msg/nfsv4/AaYxebF1iasZipi-zKMhUmCuwtU/ 
In that thread, there was a disagreement(s) on a part(s) of the 
proposal.  From what I understand, it was addressed through 
discussion.  My understanding of that is that it fits within the text 
which you quoted.

There are three questions:

   (a) Does the IETF process, as referenced in the "Note Well", allow 
the relevant
       Area Director(s) to write a draft charter?

   (b) Does the IETF process, as referenced in the "Note Well", allow 
the relevant
       Area Director(s) to vote on a draft charter?

   (c) Does the IETF process, as referenced in the "Note Well", allow 
the IESG to
       approve a charter?

A mailing list subscriber who only participates on the mailing list 
could find it difficult to question or disagree with a proposal from 
an Area Director.  In my opinion, it is okay to do (a) or (b) but not 
both.  The rationale is to avoid the perception of a potential 
conflict of interest and also to avoid creating a perception that the 
draft charter is being imposed by the Area Director.  I am okay with (c).

In my opinion, (written) rules should reflect existing practice or 
else they end up fostering an environment of "double standards".  As 
a side comment, I noticed the following on the IETF web site: "Or 
sometimes you will get a reply from someone whose first language is 
not English, and they can be rude without intending it." [1]  My 
experience is the reverse.

Regards,
S. Moonesamy

1. According to the British Council, it is alleged that a 
lexicographer named Noah Webster changed how the words were spelled 
to make the American version different of English from the British as 
a way of showing cultural independence from its mother country.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 16 Jul 2020 09:40:34 -0500

Hi, SM,

> Director.  You may have noticed that I have zero support.

I'm only replying to these two sentences.

Area Directors are not nearly as exalted as this sounds. Like the rest of
Nomcom-reviewed position holders, Area Directors *serve the community*. If
we did an accurate org chart, the IESG (made up of ADs) would be toward the
BOTTOM of the "IETF hierarchy", and individual participants like you would
be at the top.

Fred Baker (1996-2001) said repeatedly, "I know I'm the IETF Chair, because
everyone sits on me". Five IETF Chairs later, that's still the way it
should be.

If we are doing the IETF correctly, the only thing that matters in a
discussion is the quality of a person's input. That's been clear to me
since the late 1990s, and if that is no longer true, the community needs to
have a broader conversation.

This is why ADs don't write all the documents :-)

I understand that this seems unnatural to many people - I am working for a
company from a culture where age and white hair are given deference, and I
have to remind younger colleagues that they are supposed to tell me when
I'm wrong, confused, or simply don't understand. Our success at that
company depends on hearing the best inputs from each person, and the IETF
is no different.

My current intern was delighted to discover that HE could give ME work
assignments. The IETF is like that.

As for "zero support", I wouldn't worry about that, at all. You're still
engaged in a conversation, and you can't know what other people are
thinking. You might eventually be "in the rough", or you might change our
minds for the better. But we're listening.

Please help us to "get it right", when you see something you need to ask
about.

Best,

Spencer

---

From: Joseph Touch <[email-masked]>
Date: Thu, 16 Jul 2020 08:17:55 -0700

> On Jul 16, 2020, at 7:40 AM, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Area Directors are not nearly as exalted as this sounds. Like the rest of Nomcom-reviewed position holders, Area Directors *serve the community*. If we did an accurate org chart, the IESG (made up of ADs) would be toward the BOTTOM of the "IETF hierarchy", and individual participants like you would be at the top.

I wish this were true, but my experience is that they tend to think they serve as the IETF’s RFC “editorial board”, sometimes holding up documents on issues that have received both WG and IETF LC consensus. If their input had the rank you describe, it would not have that effect on our document stream.

It would be nice if everyone were more aware of the fact that those who serve are picked from among those whose employers support, who (claim to) have a large percent of their time available to the IETF, etc. That’s the “best of the best of the best” *of who is able and willing to volunteer*.

Joe

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 16 Jul 2020 15:34:13 +0000

In my experience, Joe’s more accurate than Spencer.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 16 Jul 2020 10:58:47 -0500

> In my experience, Joe’s more accurate than Spencer.

Joe's point is, I think, orthogonal to mine. And I don't disagree with Joe,
or with Rich.

Re: who's on the IESG - I know who I served on the IESG with, and who our
sponsors were (that's at  https://www.ietf.org/about/groups/iesg/members/
for the current crew), and I'm pretty sure I know why we were available to
serve as ADs.

Working to expand the number of people who can be considered for
Nomcom-reviewed slots is a fine conversation to have, and the community may
be due for it.

But my point was intended to be - once any given IESG slate is confirmed,
the community doesn't work for the IESG, although we cooperate with
individual area directors and with the IESG as a whole in our work.

The community is able to share thoughts about ADs who think they can argue
from a position of authority through the entire appeals chain, and then
through the Nomcom process, including recalls.

I'm sorry if that wasn't clear.

Best,

Spencer

---

From: S Moonesamy <[email-masked]>
Date: Thu, 16 Jul 2020 10:21:21 -0700

Hi Spencer, Joe, Rich,

The point which Spencer made [1] was that there isn't an IETF 
hierarchy.   I did a quick search on "IETF leadership" and there was 
a hit.  It is difficult to have an organization without any 
classification (or hierarchy).  As an example, there is a Chair at 
the working group level.

I agree with Spencer that it would be good to have a broader 
conversation.  I agree with Joe's comment (and Rich) about the IETF 
RFC "editorial board".

I don't know what is right [2].

Regards,
S. Moonesamy

1. I read both emails.  My response does not cover the points in the 
second one in what I consider as satisfactory.

2. Sorry for the short response.  I would have elaborated on this if 
it was easy for me to find the correct wording.

---

From: Joseph Touch <[email-masked]>
Date: Thu, 16 Jul 2020 14:39:34 -0700

To your point:

> On Jul 16, 2020, at 8:58 AM, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> But my point was intended to be - once any given IESG slate is confirmed, the community doesn't work for the IESG, although we cooperate with individual area directors and with the IESG as a whole in our work.

IMO, the IESG is has more positive influence than you note in creating WGs and controlling agendas. I.e., they appear to be able to nearly unilaterally create/modify these.

It also has quite a bit of negative influence, as I noted in affecting docs.

However, I do agree that the IESG has no power to push work on anyone. So basically they - AFAICT - have nearly complete reign over planning but can only interfere with execution.

Joe

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 16 Jul 2020 17:56:06 -0400

See my RFC 4144, Section 2.
Also https://en.wikipedia.org/wiki/Iron_law_of_oligarchy

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: S Moonesamy <[email-masked]>
Date: Fri, 17 Jul 2020 04:22:30 -0700

Hi Alissa,
At 05:53 PM 14-07-2020, Alissa Cooper wrote:
>Maybe the better path at this point would be for you to appeal 
>whichever actions I took that you find objectionable, that way I can 
>recuse from the process and the rest of the IESG can handle it. 
>Typically if people email me directly I assume they expect me to 
>respond, but if I'm recused that will take me out of the loop.

Thanks for explaining your position.

>Ok. I think the chairs and I were just following typical practice. 
>Lots of the WGs chartered in the last year don't meet the criteria 
>you specify above:

The text which I cited is from BCP 25.  It is up to the IESG to 
determine which procedures are necessary to ensure openness and 
fairness of the "process".  If I understood correctly, the point 
which you raised (thanks for providing the links) is that other IESG 
members are not following the "Note Well".

Regards,
S. Moonesamy

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 17 Jul 2020 09:12:22 -0500

> Also https://en.wikipedia.org/wiki/Iron_law_of_oligarchy

Interesting.

There are newer, scientific studies by people like Thomas Piketty.

Behcet

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 Jul 2020 15:49:11 -0700

After considering the matter, I will not a request an IESG Review.

Regards,
S. Moonesamy